{% extends 'base.html.twig' %}

        {% block javascripts %}
            {{ parent() }}
            {{ encore_entry_script_tags('form') }}
        {% endblock %}


{% block body %}
    <div class="container">
        <div class="row">
            <div class="col-md-12">
                <h1>Création d'une note</h1>
            </div>
            <div class="col-md-12">
                {{ form_start(form) }}
                {{ form_row(form.title) }}
                {{ form_row(form.text) }}
                <h2>Ajouter des fichiers à la note</h2>
                <ul class="uploadFiles" id="form-container" data-prototype="{{ form_widget(form.uploadFiles.vars.prototype)|e('html_attr') }}"></ul>
                <button type="button" id="addFile" class="add_item_link btn btn-primary" data-collection-holder-class="uploadFiles">Ajouter un fichier</button>

                <button type="submit" class="btn btn-primary">Ajouter Note</button>
                {{ form_end(form) }}
            </div>
        </div>
    </div>
{% endblock %}
